unit LwMsgrTC;	    {- TEMessager's subclass "based" on Type & Code of error }
interface
uses Classes,
     LwIX;
const
  mck_CodeToRes    = mck_User;
  mck_CodeToResFmt = mck_CodeToRes    + 1;

type
  {========================== TEMessagerTC ==================================}

  TEMessagerTC = class (TEMessager)
  private
    FErrType : byte;
    FErrCode : longint;
  protected
    function MinErrMsg : string;				      override;
  public
    constructor Create (      mcKind : integer;
			const params : array of const;
			      parCnt : integer);		      override;
   {Ŀ
     mck_Custom    : params := [eType,eCode,				      
    				 <msg line>,				      
    				 <msg line>, ... ]			      
     mck_CustomFmt : params := [eType,eCode,				      
    				 <fmt line>, arg, ..., arg,		      
    				 <fmt line>, arg, ..., arg,  ...]	      
     mck_Res	    : params := [eType,eCode,				      
    				 <res idx of msg line>, 		      
    				 <res idx of msg line>, ... ]		      
     mck_ResFmt    : params := [eType,eCode,				      
    				 <res idx of fmt line>, arg, ... arg,	      
    				 <res idx of fmt line>, arg, ... arg, ...]    
     mck_CodeToRes : params := [eType,eCode]				      
     mck_CodeToResFmt : params := [eType,eCode, arg, ... arg ] 	      
    								      
    						args for res fmt at eCode     
    }
    property ErrType : byte read FErrType write FErrType;
    property ErrCode : longint read FErrCode write FErrCode;
  end;

implementation {=============================================================}
uses SysUtils,
     LwAOCons;
const
  str_BadEMassagerTcParams = 'Invalid params in TEMessagerTC.Create';


  {$I LwMsgrTC.IN1    }  { TEMessagerTC 	}

end.
